Emacs UI can be slow in M$ Windows

19 Oct 2017 17:08 - John Abbott

Status: Closed Start date: 19 Oct 2017

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: EmacsUI Estimated time: 0.66 hour

Target version: CoCoA-5.2.2 Spent time: 0.70 hour

Description

At the school in Cameroon I saw that some Microsoft Windows computers were terribly slow (e.g. 30s delay after each line of input)

when using CoCoA-5 inside emacs.

History

#1 - 19 Oct 2017 17:12 - John Abbott

- Category set to EmacsUI

- Status changed from New to In Progress

- Target version set to CoCoA-5.2.2

- % Done changed from 0 to 30

I searched on internet and found some descriptions of similar problems.  The suggestion is to add the following line to dot-emacs

; try to improve slow performance on windows.

(setq w32-get-true-file-attributes nil)

 

This solution appeared to work on the machine I tried in Cameroon.

I suggest we add this line to our Emacs code (though this might interfere with an emacs expert's own dot-emacs?)

Of course, we cannot really test this...

#2 - 15 Nov 2017 17:05 - John Abbott

- Status changed from In Progress to Closed

- Assignee set to John Abbott

- % Done changed from 30 to 100

- Estimated time set to 0.66 h

I have been using CoCoA-5 inside emacs for over a month with the new line added to cocoa5.emacs, and have not noticed any (new) problems with

the Emacs interface.

I cannot test it on Microsoft Windows, but simply hope that it does the job.

Closing.
